GuideLab API

Get the task plan for an order

Returns every task applicable to this order grouped by phase → room → task, with assignment overrides and done-ness.

GET
/production/orders/{id}/task-plan

Returns every task applicable to this order grouped by phase → room → task, with assignment overrides and done-ness.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/production/orders/string/task-plan"
{  "phases": [    {      "orderPhaseId": "string",      "treatmentPhaseId": "string",      "name": "string",      "sortOrder": 0,      "isActive": true,      "workTrayId": "string",      "rooms": [        {          "roomId": "string",          "name": "string",          "color": "string",          "icon": "string",          "sortOrder": 0,          "layoutType": "string",          "tasks": [            {              "task": {                "id": "string",                "name": "string",                "description": "string",                "icon": "string",                "color": "string",                "style": "primary",                "completionTrigger": "acknowledge",                "completionTriggerConfig": {                  "type": "acknowledge"                },                "sideEffects": [                  {                    "type": "change_status",                    "toStatus": "draft"                  }                ],                "captureConfig": {                  "requireNotes": false,                  "requirePhoto": false,                  "notesPlaceholder": "string",                  "notesMaxLength": 1                },                "roomId": "string",                "sortOrder": 0,                "advancesPhase": true,                "done": true,                "isCurrent": true,                "assignedToMemberId": "string",                "scheduledDate": "string",                "notes": "string"              }            }          ]        }      ]    }  ]}
Empty